Package org.springframework.web.util.pattern

# Class PathPattern.PathRemainingMatchInfo

java.lang.Object
org.springframework.web.util.pattern.PathPattern.PathRemainingMatchInfo

Enclosing class:
  PathPattern

public static class PathPattern.PathRemainingMatchInfo extends Object
Holder for the result of a match on the start of a pattern. Provides access to the remaining path not matched to the pattern as well as any variables bound in that first part that was matched.

## Method Summary

Modifier and Type
Method
Description
`Map<String,org.springframework.util.MultiValueMap<String,String>>`
`getMatrixVariables()`
Return the path parameters for each bound variable.
`PathContainer`
`getPathMatched()`
Return the part of a path that was matched by a pattern.
`PathContainer`
`getPathRemaining()`
Return the part of a path that was not matched by a pattern.
`Map<String,String>`
`getUriVariables()`
Return variables that were bound in the part of the path that was successfully matched or an empty map.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getPathMatched

public PathContainer getPathMatched()
Return the part of a path that was matched by a pattern.

Since:
  5.3

### getPathRemaining

public PathContainer getPathRemaining()
Return the part of a path that was not matched by a pattern.

### getUriVariables

public Map<String,String> getUriVariables()
Return variables that were bound in the part of the path that was successfully matched or an empty map.

### getMatrixVariables

public Map<String,org.springframework.util.MultiValueMap<String,String>> getMatrixVariables()
Return the path parameters for each bound variable.